function [X,Y,Ticks]=getSigmaDeviations(ARG,POWER)

[m,n]=size(ARG);
if (m==1)
    ARG=ARG';
    [m,n]=size(ARG);
    ARG=ARG(:,1);
end

STD=POWER*std(ARG);
X=zeros(m,1); Y=X; Ticks=Y;
X(1)=1;
if (abs(ARG(1))>STD)
    Y(1)=1;
    Ticks(1)=1;
else
    Y(1)=0;
    Ticks(1)=0;
end
for i=2:m
    X(i)=i;
    if (abs(ARG(i))>STD)
        Y(i)=Y(i-1)+1;
        Ticks(i)=1;
    else
        Y(i)=Y(i-1);
        Ticks(i)=0;
    end
end

